.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)dev_mkdb.8	8.1 (Berkeley) 6/6/93
.\"	$NetBSD: dev_mkdb.8,v 1.10 2003/08/07 11:25:18 agc Exp $
.\"
.Dd June 6, 1993
.Dt DEV_MKDB 8
.Os
.Sh NAME
.Nm dev_mkdb
.Nd create
.Pa /dev
database
.Sh SYNOPSIS
.Nm
.Op Fl o Ar database
.Op directory
.Sh DESCRIPTION
The
.Nm
command creates a
.Xr db 3
hash access method database in
.Dq Pa /var/run/dev.db
which contains the names of all of the character and block special
files in the specified directory, using the file type and the
.Fa st_rdev
field as the key.
If no directory is specified, the
.Dq Pa /dev
directory is used.
.Pp
Keys are a structure containing a mode_t followed by a dev_t,
with any padding zero'd out.
The former is the type of the file (st_mode \*[Am] S_IFMT),
the latter is the st_rdev field.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl o Ar database
Put the output databases in the named file.
.El
.Sh FILES
.Bl -tag -width /var/run/dev.db -compact
.It Pa /dev
Device directory.
.It Pa /var/run/dev.db
Database file.
.El
.Sh SEE ALSO
.Xr ps 1 ,
.Xr stat 2 ,
.Xr db 3 ,
.Xr devname 3 ,
.Xr kvm_nlist 3 ,
.Xr ttyname 3 ,
.Xr kvm_mkdb 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.4 .
